[Overview][Types][Classes][Index] | Reference for unit 'resdatastream' (#fcl-res)

# TCachedDataStream.Create

Creates a new object

## Declaration

Source position: resdatastream.pp line 37

`public constructor TCachedDataStream.Create(`
`aStream: TStream;`
`aResource: TAbstractResource;`
`aSize: Int64`
`); virtual;`

## Arguments

`aStream` |  | The stream from which to read data
`aResource` |  | The resource whose data must be read
`aSize` |  | The size of the resource data

## Description

A new cached stream is created on top of the aStream stream.

## See also

TCachedDataStream |  | Base cached stream class
TResourceDataStream |  | Stream class that provides copy-on-write functionality
TResourceDataStream.Create |  | Creates a new object